# Import the randint function from the random module
from random import randint


def create_random_list(size=20):
    # Create a random list of 20 integers between 0 and 100
    lst = [randint(0, 100) for _ in range(20)]
    return lst


def get_user_input():
    # Get input number from user
    search_for = int(input("What number are you looking for:"))
    return search_for


def sequential_search(lst, look_for):
    # Sequential Search
    for item in lst:
        if item == look_for:
            return True
    return False

def main():
    my_random_list = create_random_list()
    print("My random list: {}".format(my_random_list))

    user_input = get_user_input()

    # If found, print that we found it
    if sequential_search(my_random_list, user_input):
        print("Found {}!".format(user_input))
    else:
        print("Not found {}!".format(user_input))

main()
