# Import the randint function from the random module
from random import randint

# Create a random list of 20 integers between 0 and 100
my_random_list = sorted([randint(0, 100) for _ in range(20)])

# We could also do:
# my_random_list = [randint(0, 100) for _ in range(20)]
# my_random_list.sort()
# What is the difference?


# Print the input list
print("My input list: {}".format(my_random_list))


# Get input number from user
search_for = int(input("What number are you looking for:"))


# Binary Search
left = 0
right = len(my_random_list)
mid = (left+right)//2

found = False


while left != right and right != left+1:
    print(f'L-{left} R-{right} M-{mid} Mid={my_random_list[mid]}')
    print(my_random_list[left:right])
    if my_random_list[mid] == search_for:
        found = True
        break

    if my_random_list[mid] < search_for:
        # value is in right half
        left = mid

    else:
        # value is in left half
        right = mid

    mid = (left+right)//2

# If found, print that we found it
if found:
    print("Found {}!".format(search_for))
else:
    print("Not found {}!".format(search_for))
